Bug 82397 - Kernel pretty label is inconsistent in grub.conf
Summary: Kernel pretty label is inconsistent in grub.conf
Status: CLOSED DUPLICATE of bug 82352
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: mkinitrd (Show other bugs)
(Show other bugs)
Version: 2.1
Hardware: i686 Linux
medium
low
Target Milestone: ---
Assignee: Erik Troan
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-21 20:38 UTC by Karsten Wade
Modified: 2007-11-30 22:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 18:51:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Karsten Wade 2003-01-21 20:38:00 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
The kernel pretty label (not version number), as generated into /etc/grub.conf,
is inconsisent.  For example:

title Red Hat Linux (2.4.9-e.10debug)
        root (hd0,0)
        kernel /vmlinuz-2.4.9-e.10debug ro root=/dev/hda3
        initrd /initrd-2.4.9-e.10debug.img
title Red Hat Linux (2.4.9-e.10)
        root (hd0,0)
        kernel /vmlinuz-2.4.9-e.10 ro root=/dev/hda3
        initrd /initrd-2.4.9-e.10.img
title Red Hat Linux Advanced Server (2.4.9-e.3)
        root (hd0,0)
        kernel /vmlinuz-2.4.9-e.3 ro root=/dev/hda3
        initrd /initrd-2.4.9-e.3.img

While the kernel version number actually identifies itself as the AS enterprise
version ('e'), the name of the kernel should be consistent as well.  Either "Red
Hat Linux Advanced Server" or "Red Hat Linux".

One example of where this is an issue is in writing documentation discussing
grub; examples must include a messy either/or case.

While it is possible to easily edit /etc/grub.conf to make it consistent, this
should not be a customer's job.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install RHLAS 2.1, note kernel pretty label in /etc/grub.conf (for 2.4.9-e.3)
2. Run up2date and update the kernel
3. Note that the kernel pretty label is inconsistent (esp. for 2.4.9-e.10)
    

Actual Results:  Kernel pretty labels are inconsistent.

Expected Results:  Kernel pretty labels should be consistent, either "Red Hat
Linux" or "Red Hat Linux Advanced Server".

Additional info:

Comment 1 Karsten Wade 2003-01-21 21:04:10 UTC
Absolute duplicate of Bug 82352.

Accidental resubmittal of POST information to a CGI resulted in this bug being
entered twice.

Mea culpa.

*** This bug has been marked as a duplicate of 82352 ***

Comment 2 Red Hat Bugzilla 2006-02-21 18:51:17 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.